# `wxAuiNotebookEvent`
[🔗](https://github.com/erlang/otp/blob/OTP-28.5/lib/wx/src/gen/wxAuiNotebookEvent.erl#L58)

This class is used by the events generated by `m:wxAuiNotebook`.

See:
* `m:wxAuiNotebook`

* `m:wxBookCtrlEvent`

This class is derived, and can use functions, from:

* `m:wxBookCtrlEvent`

* `m:wxNotifyEvent`

* `m:wxCommandEvent`

* `m:wxEvent`

wxWidgets docs: [wxAuiNotebookEvent](https://docs.wxwidgets.org/3.2/classwx_aui_notebook_event.html)

## Events

Use `wxEvtHandler:connect/3` with `wxAuiNotebookEventType` to subscribe to events of this type.

# `wxAuiNotebook`

```elixir
-type wxAuiNotebook() ::
          #wxAuiNotebook{type :: wxAuiNotebookEvent:wxAuiNotebookEventType(),
                         old_selection :: integer(),
                         selection :: integer(),
                         drag_source :: wxAuiNotebook:wxAuiNotebook()}.
```

# `wxAuiNotebookEvent`

```elixir
-type wxAuiNotebookEvent() :: wx:wx_object().
```

# `wxAuiNotebookEventType`

```elixir
-type wxAuiNotebookEventType() ::
          command_auinotebook_page_close | command_auinotebook_page_changed |
          command_auinotebook_page_changing | command_auinotebook_button |
          command_auinotebook_begin_drag | command_auinotebook_end_drag |
          command_auinotebook_drag_motion | command_auinotebook_allow_dnd |
          command_auinotebook_tab_middle_down | command_auinotebook_tab_middle_up |
          command_auinotebook_tab_right_down | command_auinotebook_tab_right_up |
          command_auinotebook_page_closed | command_auinotebook_drag_done |
          command_auinotebook_bg_dclick.
```

# `getDragSource`

```elixir
-spec getDragSource(This) -> wxAuiNotebook:wxAuiNotebook() when This :: wxAuiNotebookEvent().
```

# `getOldSelection`

```elixir
-spec getOldSelection(This) -> integer() when This :: wxAuiNotebookEvent().
```

Returns the page that was selected before the change, `wxNOT\_FOUND` if none was
selected.

# `getSelection`

```elixir
-spec getSelection(This) -> integer() when This :: wxAuiNotebookEvent().
```

Returns the currently selected page, or `wxNOT\_FOUND` if none was selected.

Note: under Windows, `getSelection/1` will return the same value as `getOldSelection/1` when called from the `EVT_BOOKCTRL_PAGE_CHANGING`
handler and not the page which is going to be selected.

# `setDragSource`

```elixir
-spec setDragSource(This, S) -> ok when This :: wxAuiNotebookEvent(), S :: wxAuiNotebook:wxAuiNotebook().
```

# `setOldSelection`

```elixir
-spec setOldSelection(This, Page) -> ok when This :: wxAuiNotebookEvent(), Page :: integer().
```

Sets the id of the page selected before the change.

# `setSelection`

```elixir
-spec setSelection(This, Page) -> ok when This :: wxAuiNotebookEvent(), Page :: integer().
```

Sets the selection member variable.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
